ranges::v3::remove_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename T , typename P = ident, requires = (Removable<I, T, P>() && Sentinel<S, I>())>
I | operator() (I begin, S end, T const &val, P proj=P{}) const
template<typename Rng , typename T , typename P = ident, typename I = iterator_t<Rng>, requires = (Removable<I, T, P>() && ForwardRange<Rng>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, T const &val, P proj=P{}) const